/*This declares some simple batch file commands I've been using
  between the different TWINE object output programs*/
#ifndef TWINE_BATCH
#define TWINE_BATCH
#include <stdio.h>  /*stupid compiler being ansy*/

/*macros*/
#define ECHO(Batch,V)            fprintf(Batch,"@Echo %s\n", V>0 ? "On":"Off");
#define ERROR(Batch,Label,Text)  fprintf(Batch,":Label\nEcho Text\nPause\nGoto end\n\n")
#define ERASE(Batch,File)        fprintf(Batch,"IF EXIST File DEL /F File\n")
#define VERIFY(Batch,File,Label) fprintf(Batch,"IF NOT EXIST File GOTO Label\n")
#define DECOMP(Batch,File)       fprintf(Batch,"Start /W EDLdec.exe %s -Q\nIF EXIST %s.bin (\n\tDel %s\n\tRENAME %s.bin %s\n)\n\n",File,File,File,File,File)


#endif  /*TWINE_BATCH*/
